/*
 * 	Doku, siehe http://www.mikrocontroller.net/articles/AVR_FAT32
 *	Autor: Daniel R.
 */

#ifndef CONFIG_H_
#define CONFIG_H_

	// #######################################################################################################################

#ifndef TRUE
	#define TRUE 	1
#endif
#ifndef FALSE
	#define FALSE 	0
#endif

	// schalter die den funktionsumfang aendern (fat/file):
	#define MMC_SMALL_FS 		FALSE	// wenn TRUE dann ist kleines file system, wenn FALSE dann komplette file unterstützung !
	#define MMC_WRITE 			TRUE	// wenn TRUE dann ist write an, wenn FALSE dann read only !
	#define MMC_OVERWRITE 		FALSE	// wenn TRUE dann kann ffwrite dateien überschreiben (nicht performant), wenn FALSE dann nur normales schreiben !
	#define MMC_MULTIBLOCK 		FALSE	// wenn TRUE dann werden multiblock schreib/lese funktionen benutzt. ist schneller, wird aber möglicherweise nicht von allen karten unterstützt. wenn FALSE ist normale operation

	// vorsicht, da die variable die die sektoren zählt ein short ist.
	#define MMC_MAX_CLUSTERS 	256 	// gibt an wie viele cluster am stück ohne fat-lookup geschrieben bzw gelesen werden können, wenn die fat nicht fragmentiert ist !

	// schalter fuer SPI geschwindigkeit
	// wenn MAX_SPEED FALSE dann wird die SPI bus geschwindigkeit nicht hoch gesetzt. ist zum testen von hardware die nicht richtig läuft
	#define MMC_MAX_SPEED 		TRUE


	// flags für ffopen (sind die rückgabewerte von ffopen, auf diese wird geprüft..)
	#define MMC_FILE_EXISTS 	1
	#define MMC_FILE_NEW 		0


	// uart flag und funktionen. hier kann, wenn man andere uart funktionen benutzen moechte die standart funktion geändert werden.
	#define MMC_UART_SEND_ONLY TRUE		// wenn TRUE, dann sind nur uart senden funktionen dabei, es werden keine zeichen eingelesen über den uart
	#define MMC_UART_INCLUDE  "uart.h"
	#define MMC_UPUTS uputs
	#define MMC_UPUTC uputc
	#define MMC_UINIT uinit
	#define MMC_UGETC ugetc
	#define MMC_UGETS ugets

// mz: True, to use status info, false otherwise
	#define MMC_STATUS_INFO TRUE


#endif
